GLS ShipIT 3.5.15 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CreateReturnResponse Class Reference

## Public Member Functions
List< ParcelData > | getParcelData ()
List< PrintData > | getPrintData ()

## Protected Attributes
List< ParcelData > | parcelData
List< PrintData > | printData

## Detailed Description

Response attributes of CreateReturn request

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType>
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="ParcelData" type="{http://fpcs.gls-group.eu/v2/ShipmentProcessing/types}ParcelData" maxOccurs="unbounded" minOccurs="0"/>
            <element name="PrintData" type="{http://fpcs.gls-group.eu/v2/ShipmentProcessing/types}PrintData" maxOccurs="unbounded" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 44 of file CreateReturnResponse.java.

## Member Function Documentation

## ◆ getParcelData()

List<ParcelData> eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CreateReturnResponse.getParcelData | ( |  | ) |

Gets the value of the parcelData property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the parcelData property.

For example, to add a new item, do as follows:

       getParcelData().add(newItem);

Objects of the following type(s) are allowed in the list ParcelData

Definition at line 73 of file CreateReturnResponse.java.

## ◆ getPrintData()

List<PrintData> eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CreateReturnResponse.getPrintData | ( |  | ) |

Gets the value of the printData property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the printData property.

For example, to add a new item, do as follows:

       getPrintData().add(newItem);

Objects of the following type(s) are allowed in the list PrintData

Definition at line 102 of file CreateReturnResponse.java.

## Member Data Documentation

## ◆ parcelData

List<ParcelData> eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CreateReturnResponse.parcelData
| protected

Definition at line 47 of file CreateReturnResponse.java.

## ◆ printData

List<PrintData> eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CreateReturnResponse.printData
| protected

Definition at line 49 of file CreateReturnResponse.java.

The documentation for this class was generated from the following file:

- CreateReturnResponse.java